% zeige den Triangulierungsformat (PDE-Toolbox)
% 25.02.2009 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all; close all;

t = load('triangles.dat');
p = load('nodes.dat');
e = load('edges.dat');

t = t'; p = p'; e = e'; % prepare for pdetoolbox format


% show the geometry
figure(1)
pdemesh(p,e,t);
axis equal;
grid on


Np = length(p); % number of nodes
Nt = length(t); % number of triangles
Ne = length(e); % number of edges

% show all nodes
figure(2)
pdemesh(p,e,t);
axis equal;
grid on
hold on

for ctr=1:Np
   xn = p(1,ctr);
   yn = p(2,ctr);
   %plot(xn,yn,'g*')
   T = text(xn,yn,num2str(ctr));
   set(T,'backgroundcolor','g');
   pause(0.1);
   drawnow
end


% show all triangles
figure(3)
pdemesh(p,e,t);
axis equal;
grid on
hold on

for ctr=1:Np
   xn = p(1,ctr);
   yn = p(2,ctr);
   %plot(xn,yn,'g*')
   T = text(xn,yn,num2str(ctr));
   set(T,'backgroundcolor','g');
end

for ctr=1:Nt
    % node numbers
    n1 = t(1,ctr);
    n2 = t(2,ctr);
    n3 = t(3,ctr);
    
    % node coordinates
    x1 = p(1,n1); y1 = p(2,n1);
    x2 = p(1,n2); y2 = p(2,n2);
    x3 = p(1,n3); y3 = p(2,n3);
    
    % center
    xc = (x1+x2+x3)/3;
    yc = (y1+y2+y3)/3;
    
    T = text(xc,yc,num2str(ctr));
    set(T,'backgroundcolor','y');
    pause(0.1)
    drawnow    
end

% show all edges
figure(4)
pdemesh(p,e,t);
axis equal;
grid on
hold on

for ctr=1:Np
   xn = p(1,ctr);
   yn = p(2,ctr);
   %plot(xn,yn,'g*')
   T = text(xn,yn,num2str(ctr));
   set(T,'backgroundcolor','g');
end

for ctr=1:Ne
    % node numbers
    n1 = e(1,ctr);
    n2 = e(2,ctr);
    
    % node coordinates
    x1 = p(1,n1); y1 = p(2,n1);
    x2 = p(1,n2); y2 = p(2,n2);
    
    % midpoint
    xc = (x1+x2)/2;
    yc = (y1+y2)/2;
    
    T = text(xc,yc,num2str(ctr));
    set(T,'backgroundcolor','c');
    pause(0.1)
    drawnow    
end


